Associate a list with a marketing event
curl --request PUT \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List Associations
Associate a list by external ID
Associates a list with a marketing event by external account id, external event id, and ILS list id
PUT
/
marketing
/
marketing-events
/
2026-03
/
associations
/
{externalAccountId}
/
{externalEventId}
/
lists
/
{listId}
Associate a list with a marketing event
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The accountId that is associated with this marketing event in the external event application.
The id of the marketing event in the external event application.
The ILS ID of the list.
Response
Last modified on March 31, 2026
Was this page helpful?
⌘I